Skip to main content
POST
Validate SIP Credentials

Path Parameters

vendorId
string
required

ID of the Vendor (UUID)

organizationId
string
required

ID of the Organization (UUID)

Body

application/json

Data required to create or update SIP credentials.

hostname
string
required

Hostname or IP address of the SIP server.

Example:

"sipconnect.sipgate.de"

port
integer<int32>
required

Port of the SIP server.

Required range: 1 <= x <= 65535
Example:

5060

username
string
required

Username for the SIP account.

Example:

"agent001"

password
string
required
write-only

Password for the SIP account.

Example:

"strong-password"

maxAgentTasks
integer<int32>
default:10

Maximum simultaneous agent tasks allowed for these credentials.

Required range: x >= 1
Example:

10

Response

Validation executed

Standard API response wrapper

success
boolean
required

Indicates if the request was successful

Example:

true

timestamp
string<date-time>
required

Response timestamp in ISO-8601 format

Example:

"2025-04-17T14:23:30Z"

message
string

Human-readable message

data
object

Payload data object

traceId
string

Correlation or trace ID